ChangeSet 1.842.46.4, 2002/11/23 23:37:01-08:00, randy.dunlap@verizon.net

[PATCH] USB: use time_before() to compare times


diff -Nru a/drivers/usb/serial/keyspan.c b/drivers/usb/serial/keyspan.c
--- a/drivers/usb/serial/keyspan.c	Wed Nov 27 12:53:24 2002
+++ b/drivers/usb/serial/keyspan.c	Wed Nov 27 12:53:24 2002
@@ -346,7 +346,7 @@
 		if (this_urb->status == -EINPROGRESS) {
 			if (this_urb->transfer_flags & URB_ASYNC_UNLINK)
 				break;
-			if (jiffies - p_priv->tx_start_time[flip] < 10 * HZ)
+			if (time_before(jiffies, p_priv->tx_start_time[flip] + 10 * HZ))
 				break;
 			this_urb->transfer_flags |= URB_ASYNC_UNLINK;
 			usb_unlink_urb(this_urb);
